> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1viewergetviewersysteminfo



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json post /api/v1/Viewer/GetViewerSystemInfo
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/Viewer/GetViewerSystemInfo:
    post:
      tags:
        - Viewer
      operationId: Viewer_GetViewerSystemInfo
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetViewerSystemInfoRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetViewerSystemInfoResult'
components:
  schemas:
    GetViewerSystemInfoRequest:
      type: object
      additionalProperties: false
      properties:
        ViewerIds:
          type: array
          nullable: true
          items:
            type: string
            format: guid
    GetViewerSystemInfoResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Data:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/ViewerData4'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    ViewerData4:
      type: object
      additionalProperties: false
      properties:
        Entries:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/SystemInfoEntry'
        ViewerId:
          type: string
          format: guid
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    SystemInfoEntry:
      type: object
      additionalProperties: false
      properties:
        Key:
          type: string
          nullable: true
        Value:
          type: string
          nullable: true

````